Subject: bug#17272: bug#19064: bug#17272: bug#19064: 25.0.50; `message' overwrites `y-or-n-p' prompt, so user misses it

From: Michael Heerdegen <[email-masked]>
Date: Thu, 14 Nov 2019 16:46:56 +0100

Drew Adams <[email-masked]> writes:

> [I still don't understand why it's said that your
> minibuffer input gets permanently hidden, in that
> scenario.  I suppose that if the result of your
> `y-or-n-p' answer causes Emacs to quit or to kill
> stuff then that could happen, but I wouldn't think
> it would happen generally.  Your input is in the
> minibuffer; the prompt from `y-or-n-p' is in the
> echo area.]

You misunderstood the word "permanently": We didn't mean you can't get
the y-or-n-p prompt back but that the prompt doesn't come back from
alone without user interaction, no matter how long you wait.

> > AFAICT only the behavior for these special situations have been made a
> > bit more user friendly, and all other calls of message or mb-message
> > are uneffected (is that correct, Juri?) so that third party stuff should
> > not be affected.
>
> I see.  I hope that's right.  I got the impression
> that a change was being made to detect whether the
> minibuffer is active, and, when so, make `message'
> calls behave instead like `minibuffer-message'.
> That would not be good.
>
> Can someone please confirm that that's not the case?

I think Juri did that.

Regards,

Michael.